package cn.com.infosec.mobile.android.xlog.printer.file.writer;

import android.support.annotation.Keep;
import cn.com.infosec.mobile.android.xlog.internal.Platform;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;

@Keep
public class SimpleWriter extends Writer {
   private String logFileName;
   private File logFile;
   private BufferedWriter bufferedWriter;

   public boolean open(File file) {
      File var10000 = file;
      this.logFileName = file.getName();
      this.logFile = file;
      boolean file1 = false;
      Exception var9;
      boolean var10;
      boolean var10001;
      if (!var10000.exists()) {
         label60: {
            label66: {
               try {
                  var10000 = this.logFile.getParentFile();
               } catch (Exception var7) {
                  var9 = var7;
                  var10001 = false;
                  break label66;
               }

               file = var10000;

               try {
                  var10 = var10000.exists();
               } catch (Exception var6) {
                  var9 = var6;
                  var10001 = false;
                  break label66;
               }

               if (!var10) {
                  try {
                     file.mkdirs();
                  } catch (Exception var5) {
                     var9 = var5;
                     var10001 = false;
                     break label66;
                  }
               }

               try {
                  this.logFile.createNewFile();
                  break label60;
               } catch (Exception var4) {
                  var9 = var4;
                  var10001 = false;
               }
            }

            var9.printStackTrace();
            this.close();
            return false;
         }

         file1 = true;
      }

      label67: {
         try {
            var10 = file1;
            this.bufferedWriter = new BufferedWriter(new FileWriter(this.logFile, true));
         } catch (Exception var3) {
            var9 = var3;
            var10001 = false;
            break label67;
         }

         if (!var10) {
            return true;
         }

         try {
            this.onNewFileCreated(this.logFile);
            return true;
         } catch (Exception var2) {
            var9 = var2;
            var10001 = false;
         }
      }

      var9.printStackTrace();
      this.close();
      return false;
   }

   public boolean isOpened() {
      return this.bufferedWriter != null && this.logFile.exists();
   }

   public File getOpenedFile() {
      return this.logFile;
   }

   public String getOpenedFileName() {
      return this.logFileName;
   }

   public void onNewFileCreated(File file) {
   }

   public void appendLog(String log) {
      try {
         this.bufferedWriter.write(log);
         this.bufferedWriter.newLine();
         this.bufferedWriter.flush();
      } catch (Exception var2) {
         Platform.get().warn("append log failed: " + var2.getMessage());
      }

   }

   public boolean close() {
      BufferedWriter var1;
      if ((var1 = this.bufferedWriter) != null) {
         try {
            var1.close();
         } catch (Exception var2) {
            var2.printStackTrace();
         }
      }

      this.bufferedWriter = null;
      this.logFileName = null;
      this.logFile = null;
      return true;
   }
}
